Permalink
Browse files

remove provided scope for finagle-core and finagle-thrift in scrooge-…

…runtime.

make generated Scala code backward compatible with Finagle 5

RB_ID=136049
  • Loading branch information...
1 parent cbb9095 commit 94ae17712e2a32cef5cd4216a55a86f574186cff @chunyan committed Mar 28, 2013
View
@@ -1,3 +1,11 @@
+3.0.9 - 03/27/2013
+===============================================================================
+* Remove "provided" scope of finagle in scrooge-runtime. So it brings Finagle
+ 6.1.0 as transit dependency to your project
+* Make the generated Scala code backward compatible with Finagle 5. The impact
+ to users on Finagle 6 is that you will see a lot of warnings saying that
+ tracerFactory is deprecated.
+
3.0.8 - 03/18/2013
===============================================================================
* When scrooge-maven-plugin extracts Thrift files from a dependency artifact, it
View
@@ -4,7 +4,7 @@
<groupId>com.twitter</groupId>
<artifactId>scrooge</artifactId>
<packaging>pom</packaging>
- <version>3.0.8</version>
+ <version>3.0.9</version>
<name>scrooge</name>
<url>http://github.com/twitter/scrooge</url>
<description>A Thrift generator for Scala</description>
@@ -8,7 +8,7 @@
<parent>
<groupId>com.twitter</groupId>
<artifactId>scrooge</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
</parent>
<properties>
<git.dir>${project.basedir}/../../.git</git.dir>
@@ -25,7 +25,7 @@
<dependency>
<groupId>com.twitter</groupId>
<artifactId>scrooge-runtime</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
<scope>test</scope>
</dependency>
<!-- library dependencies -->
@@ -28,7 +28,9 @@ trait ThriftServer extends Service with FutureIface {
.name(serverName)
.reportTo(statsReceiver)
.bindTo(new InetSocketAddress(thriftPort))
- .tracer(tracerFactory())
+ // TODO: once everyone in Twitter is on Finagle 6+, change this to
+ // .tracer(tracerFactory())
+ .tracerFactory(tracerFactory)
/**
* Close the underlying server gracefully with the given grace
@@ -65,7 +65,7 @@
<dependency>
<groupId>com.twitter</groupId>
<artifactId>scrooge-runtime</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
</dependency>
<dependency>
<groupId>junit</groupId>
@@ -144,7 +144,7 @@
<plugin>
<groupId>com.twitter</groupId>
<artifactId>scrooge-maven-plugin</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
<configuration>
<thriftNamespaceMappings>
<thriftNamespaceMapping>
@@ -10,7 +10,7 @@
<parent>
<groupId>com.twitter</groupId>
<artifactId>scrooge</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
</parent>
<dependencyManagement>
<dependencies>
@@ -124,7 +124,7 @@
<dependency>
<groupId>com.twitter</groupId>
<artifactId>scrooge-generator</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
</dependency>
</dependencies>
<reporting>
View
@@ -7,7 +7,7 @@
<parent>
<groupId>com.twitter</groupId>
<artifactId>scrooge</artifactId>
- <version>3.0.8</version>
+ <version>3.0.9</version>
</parent>
<properties>
<git.dir>${project.basedir}/../../.git</git.dir>
@@ -35,13 +35,11 @@
<groupId>com.twitter</groupId>
<artifactId>finagle-core_2.9.2</artifactId>
<version>6.1.0</version>
- <scope>provided</scope>
</dependency>
<dependency>
<groupId>com.twitter</groupId>
<artifactId>finagle-thrift_2.9.2</artifactId>
<version>6.1.0</version>
- <scope>provided</scope>
</dependency>
</dependencies>
<build>

0 comments on commit 94ae177

Please sign in to comment.